#include <bits/stdc++.h>

using namespace std;

int n,q;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    cin>>n;
    vector<int> a(n);
    for(int& num : a)
        cin>>num;
    cin>>q;
    while(q--)
    {
        int l,r;
        cin>>l>>r;
        l--;
        r--;
        if(l==r)
        {
            cout<<"DA"<<'\n';
            continue;
        }
        int len=r-l+1;
        int i;
        // nema
        for(i=l+1; i<r+1; ++i)
            if(a[i]<a[i-1])
                break;
        if(i==r+1)
        {
            cout<<"DA"<<'\n';
            continue;
        }
        // l
        int index=l;
        for(i=l+2; i<r+1; ++i)
            if(a[i]<a[i-1])
                break;
        if(i==r+1)
        {
            cout<<"DA"<<'\n';
            continue;
        }
        // r
        index=r;
        for(i=l+1; i<r; ++i)
            if(a[i]<a[i-1])
                break;
        if(i==r)
        {
            cout<<"DA"<<'\n';
            continue;
        }
        // ostalo
        index=l+1;
        bool ok=0;
        while(true)
        {
            if(index==r)
                break;
            for(i=l+1; i<r+1; ++i)
            {
                if(i==index)
                    continue;
                if(i-1==index)
                {
                    if(a[i]<a[i-2])
                        break;
                }
                else
                {
                    if(a[i]<a[i-1])
                        break;
                }
            }
            index++;
            if(i==r+1)
            {
                cout<<"DA"<<'\n';
                ok=1;
                break;
            }
        }
        if(ok)
            continue;
        else
            cout<<"NE"<<'\n';
    }

    return 0;


}